Name:          phonon-backend-gstreamer
Version:       4.9.0
Release:       1mamba
Summary:       Gstreamer phonon backend
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/phonon/phonon-backend-gstreamer/%{version}/phonon-backend-gstreamer-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libphonon-devel
BuildRequires: libphonon-qt5-devel
BuildRequires: libqt4-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Provides:      phonon_backend
Requires:      libqt4 >= %_qt4_version
Requires:      libgst-plugins-base
Requires:      gst-plugins-good
Requires:      gst-plugins-bad
Requires:      gst-plugins-ugly
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Gstreamer backend for Phonon.

%package -n phonon-qt5-backend-gstreamer
Summary:       Gstreamer phonon-qt5 backend
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      phonon5_backend
Requires:      libgst-plugins-base
Requires:      gst-plugins-good
Requires:      gst-plugins-bad
Requires:      gst-plugins-ugly

%description -n phonon-qt5-backend-gstreamer
Gstreamer backend for Phonon-qt5.

%prep
%setup -q -n phonon-gstreamer-%{version}

%build
%cmake_kde4 -d build \
   -DPHONON_BUILDSYSTEM_DIR=%{_datadir}/share/phonon/buildsystem
   
%make

cd ..
%cmake_kde5 -d build5 \
   -DPHONON_BUILD_PHONON4QT5=on

#\
#   -DPHONON_BUILDSYSTEM_DIR=%{_datadir}/share/phonon/buildsystem
   
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build
%makeinstall -C build5

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
touch --no-create %{_kde4_icondir}/hicolor &>/dev/null
exit 0

%posttrans
gtk-update-icon-cache %{_kde4_icondir}/hicolor &>/dev/null
exit 0

%postun
if [ $1 -eq 0 ]; then
   touch --no-create %{_kde4_icondir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde4_icondir}/hicolor &>/dev/null
fi
exit 0

%files
%defattr(-,root,root)
%{_kde4_libdir}/kde4/plugins/phonon_backend/phonon_gstreamer.so
%{_kde4_icondir}/hicolor/*/apps/phonon-gstreamer.png
%{_kde4_icondir}/hicolor/*/apps/phonon-gstreamer.svgz
%{_kde4_servicesdir}/phononbackends/gstreamer.desktop
%doc COPYING.LIB

%files -n phonon-qt5-backend-gstreamer
%defattr(-,root,root)
%{_libdir}/qt5/plugins/phonon4qt5_backend/phonon_gstreamer.so
%{_datadir}/icons/hicolor/*/apps/phonon-gstreamer.png
%{_datadir}/icons/hicolor/scalable/apps/phonon-gstreamer.svgz

%changelog
* Sat May 14 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.9.0-1mamba
- update to 4.9.0
- subpackage for phonon-qt5

* Wed Jan 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.2-1mamba
- update to 4.8.2

* Fri Dec 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.1-1mamba
- update to 4.8.1

* Wed Jun 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.7.1-1mamba
- update to 4.7.1

* Sun Feb 03 2013 Davide Madrisan <davide.madrisan@gmail.com> 4.6.3-1mamba
- update to 4.6.3

* Thu Aug 16 2012 Automatic Build System <autodist@mambasoft.it> 4.6.2-1mamba
- automatic version update by autodist

* Fri Mar 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.6.0-1mamba
- update to 4.6.0

* Mon Aug 08 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.1-1mamba
- update to 4.5.1

* Sun Jan 23 2011 Davide Madrisan <davide.madrisan@gmail.com> 4.4.4-1mamba
- package created by autospec
